﻿<AML>
 <Item type="Report" id="324378C14F7F44E6BDCD53A4545A794C" action="add">
  <label xml:lang="en">Aging Payable Report</label>
  <location>client</location>
  <report_query><![CDATA[<Item type="acc_aging_payable_report" action="get" select="acc_greaterthanninty,acc_greaterthansixty,acc_greaterthanthirty,acc_invoice_date,acc_invoice_no,acc_name_of_customer,id,acc_current,erp_company,acc_currency,acc_receivable_amount,acc_greaterthanfortyfive,acc_statement_date,acc_report_currency,acc_receivable_amount,acc_invoice_no,acc_invoice_date,acc_customer_name,acc_description,acc_temp_total">
<erp_company>
<Item type="erp_company_setup" action="get"  select="erp_com_name,erp_main_email,erp_ph,erp_street,erp_address,erp_fax,erp_registration_number">
</Item>
</erp_company>
</Item>]]></report_query>
  <target>window</target>
  <type>itemtype</type>
  <xsl_stylesheet><![CDATA[<?xml version="1.0"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:user-scripts" xmlns:aras="http://www.aras.com" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:dt="urn:schemas-microsoft-com:datatypes" xmlns:ns1="http://www.example.org" version="1.0">
		  <xsl:decimal-format name="euro" decimal-separator="." grouping-separator=","/>
		  <xsl:key name="acc_currency_total" match="Result/Item" use="acc_currency"/>
		<xsl:key name="acc_inv_no" match="Result/Item" use="acc_invoice_no"/>
		                 <xsl:key name="acc_name_of_customer" match="Result/Item" use="acc_name_of_customer"/>
		 <xsl:key name="acc_invoice_no" match="Result/Item" use="concat(acc_name_of_customer, '|', acc_invoice_no)"/>
		  <xsl:key name="acc_sub_total" match="Result/Item" use="concat(acc_name_of_customer, '|',acc_currency)"/>
		<xsl:key name="acc_currency" match="Result/Item" use="concat(acc_name_of_customer,'|',acc_invoice_no, '|', acc_currency)"/>
		   <xsl:output method="html" omit-xml-declaration="yes" standalone="yes" indent="yes" cdata-section-elements="script msxsl:script"/>
		  <xsl:template match="//Result">
			    <html>
				      <head>      </head>
				      <style type="text/css" userData="Global">
					body, td
					{
					font-family:Times New Roman;font-size:12pt;
					}
					.bottom_div,bottom_div,up_div,middle_div{width:100%;
					}
					.bankinfo{
					float:left;
					}
					.bankinfobelow{
					float:left;
					width:40%;
					}
					.bankinfoup{
					float:left;
					width:20%;
					}
					.Table1,Table2
					{
					width: 100%;
					}
					span.report_titlestatement{
					font-size: 14pt;
					font-weight: bold;
					padding-top:40px;
					}
					span.report_title
					{
					font-size: 14pt;
					font-weight: bold;
					padding-top:20px;
					}
					span.rtdtitle
					{
					font-family:Times New Roman;
					font-size:12pt;
					vertical-align: bottom;
					text-align: center;
					}
					.verticalLine
					{
					border-left: 2px #000000 solid;
					}
					.companyLogo
					{
					vertical-align: top;
					width: 15em;
					}
					.companyName
					{
					font-size: 15pt;
					font-weight: 700;
					}
					.companyAddress
					{
					font-size: 10pt;
					font-weight: bold;
					}
					 boxednobolder {
					      position: relative;
					      width:100%;
					      }
					      table.simple {
					      border-collapse:collapse;
					      border-color: #000000;
					     border-style:solid;border-width:1px;
					                                             margin-top:20px;
					      }
					table.temp {font-family:Time New Roman;font-size:14pt; }
					up_div.left_header{
					font-color:#3333CC;
					margin-bottom :10px;
					 align:left;
					                                        }
					.cellSolid {
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					}
					.cellSolidTopRight {
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					}
					.cellSolidTopLeft {
					border-top:1px #000000 solid;
					border-left:1px #000000 solid;
					}
					.cellSolidRightBottom {
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					}
					.cellSolidBottomLeft {
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					}
					.cellSolidTop {
					border-top:1px #000000 solid;
					}
					.cellSolidRight {
					border-right:1px #000000 solid;
					}
					.cellSolidBottom {
					border-bottom:1px #000000 solid;
					}
					.cellSolidLeft {
					border-left:1px #000000 solid;
					}
					.cellDashed {
					border-top:1px #666666 dashed;
					border-right:1px #666666 dashed;
					border-bottom:1px #666666 dashed;
					border-left:1px #666666 dashed;
					}
					.cellDashedTopRight {
					border-top:1px #666666 dashed;
					border-right:1px #666666 dashed;
					}
					.cellDashedTopLeft {
					border-top:1px #666666 dashed;
					border-left:1px #666666 dashed;
					}
					.cellDashedBottomRight {
					border-bottom:1px #666666 dashed;
					border-right:1px #666666 dashed;
					}
					.cellDashedBottomLeft {
					border-bottom:1px #666666 dashed;
					border-left:1px #666666 dashed;
					}
					.cellDashedTop {
					border-top:1px #666666 dashed;
					}
					.cellDashedRight {
					border-right:1px #666666 dashed;
					}
					.cellDashedBottom {
					border-bottom:1px #666666 dashed;
					}
					.cellDashedLeft {
					border-left:1px #666666 dashed;
					}
					.cellHeader {
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-left:1px #000000 solid;
					border-bottom:1px #000000 solid;
					padding:2px;
					text-align:center;
					text-align:center;
					font-weight:bold;
					font-size:12pt;
					 font-family:Time New Roman;
					 height:30;
					 align:center;
					                                         width:auto;
					}.cellHeaderVertBT {
					background-color:#CCCCCC;
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					padding:2px;
					writing-mode:tb-rl;filter: flipv fliph;
					text-align:center;
					text-transform:capitalize;
					text-align:center;
					font-family:helvetica;
					font-weight:bold;
					font-size:8pt;
					}
					.cellHeaderVertTB {
					background-color:#CCCCCC;
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					padding:2px;
					writing-mode:tb-rl;filter: flipv flipv;
					text-align:center;
					text-transform:capitalize;
					text-align:center;
					font-family:helvetica;
					font-weight:bold;
					font-size:8pt;
					}
				</style>
				<body topmargin="50" leftmargin="50">
					<table class="Table1" border="0">
						<tr>
							<td class="companyLogo">
								<img src="../images/Logos/logo.png"></img>
							</td>
							<td class="verticalLine"></td>
							<td>
								<table border="0">
									<tr>
										<td class="companyName">
											<xsl:value-of select="//Item/erp_company/Item/erp_com_name"/>
										</td>
									</tr>
									<tr>
										<td class="companyAddress">
											<xsl:value-of select="//Item/erp_company/Item/erp_street"/>
											<xsl:text>  </xsl:text>
											<xsl:value-of select="//Item/erp_company/Item/erp_address"/>
										</td>
									</tr>
									<tr>
										<td class="companyAddress">
											Tel: <xsl:value-of select="//Item/erp_company/Item/erp_ph"/>
											<xsl:text>  </xsl:text>
											Fax : <xsl:value-of select="//Item/erp_company/Item/erp_fax"/>
											<xsl:text>  </xsl:text>
											Email : <xsl:value-of select="//Item/erp_company/Item/erp_main_email"/>
										</td>
									</tr>
									<tr>
										<td class="companyAddress">
											<xsl:text>Company &amp; GST Registration No : </xsl:text>
											<xsl:value-of select="//Item/erp_company/Item/erp_registration_number"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="3" align="center" style="border-top: 2px solid black;"></td>
						</tr>
					</table>
					<div class="middle_div">
						<div align="center">
							<span class="report_titlestatement">STATEMENT OF ACCOUNT</span>
						</div>
						<div>
							 <span class="rtdtitle">
								Statement Date :
								<xsl:call-template name="format-date-expanded-header">
									           <xsl:with-param name="datetime" select="//Item/acc_statement_date"/>
								       </xsl:call-template>
							</span>
						</div>
						<div>
							<span class="rtdtitle">A/P Account Number :</span>
						</div>
						<div>
							<span class="rtdtitle">Page No : 1</span>
						</div>
					</div>
					<div class="bottom_div">
						<div class="boxednobolder ">
							<table class="simple" border="0" cellspacing="1" cellpadding="1" width="100%">
								 <tr class="heading">
									                        <th width="10%" class="cellHeader" align="center" uniqueID="ms__id010">Trans Date</th>
									             <th width="20%" class="cellHeader" align="center" uniqueID="ms__id010">Inv. No.</th>
									              <th width="40%" class="cellHeader" align="center" uniqueID="ms__id010">Description</th>
									                                                                                     <th width="10%" class="cellHeader" align="center" uniqueID="ms__id010">Debit</th>
									                   <th width="10%" class="cellHeader" align="center" uniqueID="ms__id010">Credit</th>
									           <th width="10%" class="cellHeader" align="center" uniqueID="ms__id010">
										Total (<xsl:value-of select="//Item/acc_currency"/>
									)</th>
								           </tr>
								<xsl:for-each select="//Item[generate-id() = generate-id(key('acc_inv_no', acc_invoice_no)[1])]">
									<xsl:sort select="acc_invoice_no" order="ascending"/>
									             <tr>
										 <td style=" text-align:center;font-family:Times New Roman;font-size:12pt;height:30;padding:2px;">
											      <xsl:value-of select="acc_invoice_date"/>
										                 </td>
										  <td style=" text-align:center;font-family:Times New Roman;font-size:12pt;height:30;padding:2px;">
											    <xsl:value-of select="acc_invoice_no"/>
										   </td>
										   <td style=" text-align:center;font-family:Times New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_description"/>
										   </td>
										<td style=" text-align:right;font-family:Times New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_debit"/>
										  </td>
										 <td style=" text-align:right;font-family:Times New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_receivable_amount"/>
										</td>
										<td style=" text-align:right;font-family:Times New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_temp_total"/>
										</td>
									                                            </tr>
								</xsl:for-each>
								<xsl:for-each select="//Item/acc_temp_total">
									            <xsl:sort select="." data-type="number" order="descending"/>
									<xsl:if test="position()=1">
										            <tr>
											<td colspan="5" style="font-weight:bold;text-align:right;font-family:Times New Roman;font-size:12pt; height:30;padding:2px;">Balance Due</td>
											<td style=" font-weight:bold;text-align:right;font-family:Times New Roman;font-size:12pt; height:25;padding:2px;">
												                <xsl:value-of select="."/>
											                   </td>
										</tr>
									 </xsl:if>
								</xsl:for-each>
							</table>
						</div>
					 </div>
					<div class="bottom_div">
						<div class="boxednobolder ">
							   <table class="simple" width="100%">
								                                                        <tr>
									<span class="report_title">Aging Summary</span>
								</tr>
								 <tr class="heading">
									                        <th width="10%" class="cellHeader" align="center" uniqueID="ms__id010">Invoice Date</th>
									             <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">Invoice Number</th>
									           <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">Current</th>
									    <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">&gt; 30 Days</th>
									<th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">&gt; 45 Days</th>
									           <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">&gt; 60 Days</th>
									           <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">&gt; 90 Days</th>
								                                                                                            </tr>
								             <xsl:for-each select="//Item[generate-id() = generate-id(key('acc_inv_no', acc_invoice_no)[1])]">
									 <xsl:sort select="acc_invoice_no" order="ascending"/>
									  <tr>
										 <td style=" text-align:center;font-family:Time New Roman;font-size:12pt;height:30;padding:2px;">
											      <!--  <xsl:call-template name="format-date-expanded">
												           <xsl:with-param name="datetime" select="acc_invoice_date"/>
											       </xsl:call-template>
											-->
											<xsl:value-of select="acc_invoice_date"/>
										                                                                                                                 </td>
										  <td style=" text-align:center;font-family:Time New Roman;font-size:12pt;height:30;padding:2px;">
											    <xsl:value-of select="acc_invoice_no"/>
										   </td>
										  <td style=" text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_current"/>
										  </td>
										 <td style=" text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_greaterthanthirty"/>
										</td>
										                                        <td style=" text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_greaterthanfortyfive"/>
										</td>
										<td style=" text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_greaterthansixty"/>
										</td>
										                                        <td style=" text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
											<xsl:value-of select="acc_greaterthanninty"/>
										</td>
									    </tr>
								       </xsl:for-each>
								  <tr>
									<td colspan="2" class=".celldata" style="font-weight:bold;text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
										 Grand Total
									</td>
									               <td style="font-weight:bold;text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
										               <xsl:value-of select="format-number(sum(//Item/acc_current), '#,##0.00', 'euro')"/>
									               </td>
									<td style="font-weight:bold;text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
										               <xsl:value-of select="format-number(sum(//Item/acc_greaterthanthirty), '#,##0.00', 'euro')"/>
									               </td>
									<td style="font-weight:bold;text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
										               <xsl:value-of select="format-number(sum(//Item/acc_greaterthanfortyfive), '#,##0.00', 'euro')"/>
									               </td>
									<td style="font-weight:bold;text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
										               <xsl:value-of select="format-number(sum(//Item/acc_greaterthansixty), '#,##0.00', 'euro')"/>
									               </td>
									<td style="font-weight:bold;text-align:right;font-family:Time New Roman;font-size:12pt; height:30;padding:2px;">
										               <xsl:value-of select="format-number(sum(//Item/acc_greaterthanninty), '#,##0.00', 'euro')"/>
									               </td>
								</tr>
							        </table>
						</div>
					 </div>
					<div>
						<div style="margin-top:20px;margin-bottom:20px;">
							Overdue balance subject to 1% late payment charges.
						</div>
						<div>
							<div class="bankinfo">
								PAYMENT SHOULD BE MADE PAYABLE TO :
							</div>
							<div class="bankinfo">
								<div>SINGAPORE WEFIC OCEAN TECHNOLOGIES PTE. LTD.</div>
								<div>3A International Business Park</div>
								<div>#09-14 ICON@IBP Singapore 609935</div>
								<div>Tel: +65 6659 9669 Fax : +65 6659 5689 Email : info@weficgroup.com</div>
							</div>
						</div>
					</div>
					<div style="clear:both"></div>
					<div>
						<div>
							OurBankDetail
						</div>
						<div>
							<div>
								<div class="bankinfoup">Beneficiary Name</div>
								<div class="bankinfobelow">: </div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Beneficiary's A/C No</div>
								<div class="bankinfobelow">: 363-900-654-7  </div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Bank A/C Currency Type</div>
								<div class="bankinfobelow">: Singapore Dollars</div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Beneficiary Bank SWIFT Code:</div>
								<div class="bankinfobelow">: UOVBSGSG </div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Beneficiary Bank Address</div>
								<div class="bankinfobelow">: 325, Boon Lay Place Singapore 649886 Boon Lay Branch / 035  </div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Branch Code</div>
								<div class="bankinfobelow">: </div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Bank Code</div>
								<div class="bankinfobelow">: </div>
							</div>
							<div style="clear:both"></div>
							<div>
								<div class="bankinfoup">Bank Name</div>
								<div class="bankinfobelow">: United Overseas Bank Ltd /7375 </div>
							</div>
						</div>
					</div>
				      </body>
			    </html>
		</xsl:template>
		<xsl:template name="format-date-expanded">
			<xsl:param name="datetime"/>
			<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
			<xsl:variable name="year" select="substring(substring-before($date, '-'),3,4)"/>
			<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
			<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
			<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
			<xsl:value-of select="concat($day, '-' ,$month, '-', $year, ' ', $time)"/>
		</xsl:template>
		<xsl:template name="format-date-expanded-header">
			<xsl:param name="datetime"/>
			<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
			<xsl:variable name="year" select="substring-before($date, '-')"/>
			<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
			<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
			<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
			<xsl:choose>
				           <xsl:when test="$month = 01">
					<xsl:value-of select="concat($day, '-' ,'JAN', '-', $year, ' ', $time)"/>
				</xsl:when>
				           <xsl:when test="$month = 02">
					<xsl:value-of select="concat($day, '-' ,'FEB', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 03">
					<xsl:value-of select="concat($day, '-' ,'MAR', ',-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 04">
					<xsl:value-of select="concat($day, '-' ,'APR', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 05">
					<xsl:value-of select="concat($day, '-' ,'MAY', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 06">
					<xsl:value-of select="concat($day, '-' ,'JUN', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 07">
					<xsl:value-of select="concat($day, '-' ,'JULY', '-' , $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 08">
					<xsl:value-of select="concat($day, '-' ,'AUG', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 09">
					<xsl:value-of select="concat($day, '-' ,'SEP', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 10">
					<xsl:value-of select="concat($day, '-' ,'OCT', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 11">
					<xsl:value-of select="concat($day, '-' ,'NOV', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 12">
					<xsl:value-of select="concat($day, '-' ,'DEC', '-', $year, ' ', $time)"/>
				</xsl:when>
			  </xsl:choose>
		</xsl:template>
	</xsl:stylesheet>]]></xsl_stylesheet>
  <name>acc_aging_payable_report</name>
 </Item>
</AML>